#include "MainWindow.h"
#include <QApplication>
#include <QDebug>
#include <QDesktopWidget>
#include <QAction>
#include <QMenu>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    bool isVirtualDesktop = QApplication::desktop()->isVirtualDesktop();
    int screenCount = QApplication::desktop()->screenCount();
    if(isVirtualDesktop || (screenCount != 2))
    {
        qWarning() << "Wrong configuration: isVirtualDesktop" << isVirtualDesktop << "screenCount" << screenCount;
        return 0;
    }
    QAction *localQAction = new QAction("Action1");

    QMenu* contextMenu = new QMenu();
    contextMenu->addAction("ActionA");
    contextMenu->addAction("ActionB");

    MainWindow w1(contextMenu, localQAction, 0, QApplication::desktop()->screen(0));
    w1.setGeometry(0,0,800,800);
    w1.show();

    MainWindow w2(contextMenu, localQAction, 1, QApplication::desktop()->screen(1));
    w2.show();
    w2.setGeometry(0,0,800,800);

    return a.exec();
}
